using System.Diagnostics;
namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
        {
            //***************************************************
            string executable_name = "WeldApp18.exe";
            //***************************************************
            string MacroDirectory = System.Environment.GetEnvironmentVariable("XS_DIR") + @"\environments\common\macros\drawings"; 
            try
            {
                if (System.IO.Directory.Exists(@MacroDirectory))
                {
                    if (System.IO.File.Exists(@MacroDirectory + @"\" + @executable_name))
                    {
                        Process p1 = new Process();
                        p1.StartInfo.FileName = @MacroDirectory + @"\" + @executable_name;
                        p1.Start();
                    }
                    else
                    {
                        System.Windows.Forms.MessageBox.Show(@MacroDirectory + @"\" + @executable_name + " File does not exist.\nCannot Launch Macro");
                        System.Diagnostics.Process Explorer = new System.Diagnostics.Process();
                        Explorer.EnableRaisingEvents = false;
                        Explorer.StartInfo.FileName = "explorer";
                        Explorer.StartInfo.Arguments = @MacroDirectory;
                        Explorer.Start();
                    }
                }
                else
                {
                    System.Windows.Forms.MessageBox.Show(@MacroDirectory + " Directory does not exist.\nCannot Launch Macro");
                }
            }
            catch
            {
                System.Windows.Forms.MessageBox.Show(@MacroDirectory + @"\" + @executable_name + " could not be opened.\nCheck to see that the executable file and directory exist");
            }
        }
    }
}
